Bug 1264177 - flat volumes causes sound crackling if applications volume is not at same level of master volume
flat volumes causes sound crackling if applications volume is not at same lev...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: MoveUpstream, Reopened
Depends On: 1265267
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 13:48 EDT by Germano Massullo
Modified: 2016-07-19 14:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:23:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio logs (77.11 KB, application/x-xz)
2015-09-17 13:48 EDT, Germano Massullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92031 None None None Never

  None (edit)
Description Germano Massullo 2015-09-17 13:48:38 EDT
Created attachment 1074539 [details]
pulseaudio logs

Description of problem:
Let's assume that master audio volume level is at 50%.
Let's assume that Amarok player audio volume level is at 50%, so at the same level of master audio volume.
In this situation if you change the master audio volume level, Amarok player audio volume level will change too, at the same percentage. No problem till here.

Now you set a certain offset between Amarok volume level and master audio volume level, for example by decreasing Amarok by a 20%. Then try to change the master audio volume level, increasing or decreasing it quickly. You will ear audio crackling.

Disabling flat-volumes in /etc/pulse/daemon.conf solves the problem

Version-Release number of selected component (if applicable):
pulseaudio-6.0-8.fc22.x86_64

I attach output of
$ pulseaudio -vvv
retrieved while doing the test
Comment 1 Sergio Monteiro Basto 2015-11-26 21:39:27 EST
I don't know if I shouldn't open another bug but flat-volumes have a serious bug , I explained first here https://bugs.kde.org/show_bug.cgi?id=355758 but now I see that same happens in pavucontrol , in KDE, even without kmix running.  

Increasing the volume of one stream increases the volume of master channel , doesn't make sense I increasing volume sound in one stream audio and master audio is also increased ? . When I choose volume in one stream , master volume control shouldn't change to the same level of sound of the stream. 
Worst is I have a app saved which the stream was saved at maximum, I left application , I reduce master volume to very low level but not mute, I open the app and volume goes to maximum (same level of the stream of the app). Disabling flat-volumes , things back to normal i. e. master volume doesn't change when I change the level of a stream sound .
Comment 2 Germano Massullo 2015-11-27 01:38:47 EST
(In reply to Sergio Monteiro Basto from comment #1)
> I don't know if I shouldn't open another bug but flat-volumes have a serious
> bug , I explained first here https://bugs.kde.org/show_bug.cgi?id=355758 but
> now I see that same happens in pavucontrol , in KDE, even without kmix
> running.  
> 
> Increasing the volume of one stream increases the volume of master channel ,
> doesn't make sense I increasing volume sound in one stream audio and master
> audio is also increased ? . When I choose volume in one stream , master
> volume control shouldn't change to the same level of sound of the stream. 
> Worst is I have a app saved which the stream was saved at maximum, I left
> application , I reduce master volume to very low level but not mute, I open
> the app and volume goes to maximum (same level of the stream of the app).
> Disabling flat-volumes , things back to normal i. e. master volume doesn't
> change when I change the level of a stream sound .

You posted in the wrong bugreport, you should leave a comment in
https://bugzilla.redhat.com/show_bug.cgi?id=1265267
Comment 3 Sergio Monteiro Basto 2015-11-27 10:03:52 EST
I don't want disable flat-volumes, I want someone fix flat-volumes in pulseaudio
Comment 4 Germano Massullo 2015-11-27 10:13:03 EST
(In reply to Sergio Monteiro Basto from comment #3)
> I don't want disable flat-volumes, I want someone fix flat-volumes in
> pulseaudio

Then open a pertinent bugreport
Comment 5 Fedora End Of Life 2016-07-19 13:56:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rex Dieter 2016-07-19 14:22:41 EDT
I'd encourage this to get filed upstream @
https://bugs.freedesktop.org/enter_bug.cgi?product=PulseAudio
Comment 7 Rex Dieter 2016-07-19 14:23:44 EDT
OH, it already is, then there's probably little point in keeping this one.

Note You need to log in before you can comment on or make changes to this bug.